Stack Exchange Network

Stack Exchange network consists of 174 Q&A communities including Stack Overflow, the largest, most trusted online community for developers to learn, share their knowledge, and build their careers.

Visit Stack Exchange

Questions tagged [update]

For questions regarding how to update the Pi's operating systems, programming languages, and applications (both native and external). Consider also tagging with the program or OS that you are updating if appropriate, and use [rpi-update] instead for the tool itself.

0
votes
2answers
141 views

Raspberry Pi sudo apt-get update not working

I am getting the following message whenever I try to run: sudo apt-get update : pi@raspberrypi:~ $ sudo apt-get update Get:1 http://archive.raspberrypi.org/debian stretch InRelease [8,084 B] Err:1 ...
1
vote
1answer
97 views

Apt-Get Update security failure

I'm running a 3B+ with Raspbian Stretch 11/18 update. sudo apt-get update is returning this: W: GPG error: http://deb.debian.org/debian stretch-updates InRelease: The following signatures couldn't be ...
0
votes
0answers
11 views

How to suppress the “The desktop has been updated…” prompt?

I have written a "setup" script to customize a stock Raspian (stretch) image for use in my application, and it includes apt-get update && apt-get upgrade. This was working great last time I ...
0
votes
1answer
34 views

PXE booted Raspberry cluster curious update behavior during update

I am running a PXE booted Raspberry cluster: one pi is the PXE boot server with has an SSD attached and is updated to 4.14.82-v7+ #1165. The boot-image for the PXE clients is rsync'ed. Clients boot up ...
0
votes
1answer
166 views

``Not enough free disk space'' message when trying a do-release-upgrade from ubuntu 16.04 to 18.04 on a RPi 3 B

Upgrade response: The upgrade has aborted. The upgrade needs a total of 49.5 M free space on disk '/boot'. Please free at least an additional 5,374 k of disk space on '/boot'. You can remove old ...
1
vote
1answer
36 views

Updating my application across thousands of nodes. What are the standard tools/procedures?

Are there any standard practice/procedures/tools to perform a software update (OTA) of my c++ application across thousands of battery powered IoT nodes. I don't want to reinvent something, and ...
1
vote
1answer
185 views

Can't Install Packages with apt-get | no installation candidate

I'm using Raspbian Stretch with Desktop(v4.14.62-v7) and I can't seem to be able to install packages on my rPi. For instance, when I type sudo apt-get install autoconf, I get: Reading package lists.....
1
vote
1answer
128 views

raspberrypi-bootloader error when apt installing/upgrading

I've never had this complex of an apt issue. I was trying to install nodejs when I came upon this unmet dependency. Updating, upgrading, and fix-broken install do not solve anything. I need to take a ...
1
vote
0answers
133 views

Windows 10 IoT not updating with windows update

Why is my windows update stuck on downloading updates? How do I kick it along? From the apps menu I select Windows Update tile. I then have the following screen which I have left on overnight and ...
0
votes
1answer
92 views

Error while trying to do sudo apt-get upgrade

E: Syntax error /etc/apt/apt.conf.d/01autoremove:4: Extra junk after value
1
vote
0answers
47 views

Faulty Ethernet interface?

After running apt-upgrade on a Raspberry Pi B+ 512MB to bring it to the current version of Raspbian GNU/Linux 9.4 (stretch) the Ethernet connection stopped working. The interface's behaviour after a ...
0
votes
1answer
25 views

Update a previous Raspbian image to rasp b+? [duplicate]

I'm sorry if the question has been already asked, I couldn't find it. I bought a raspberry pi 3 2 years ago, and I still use it with no problem. I bought a new rasp pi 3 b+ 1 week ago, and I tried to ...
0
votes
1answer
74 views

nginx error while upgrading raspi

When I try to upgrade my raspi I get an error message: seb@raspi:~ $ sudo apt-get upgrade Paketlisten werden gelesen... Fertig Abhängigkeitsbaum wird aufgebaut. Statusinformationen werden eingelesen.....
1
vote
1answer
173 views

Problem with ethernet and usb controller after update/upgrade

I use a Raspberry pi 3 Model B Today I tried to update my Raspbian OS(installed with berryboot) version from 09.05.2017 to the latest version. I was ssh'ed into the raspbian pi user(root) and typed: ...
0
votes
2answers
953 views

Update error (stretch)

Hello, I'm Jinny Park. I bought the raspberry pi 3 b+ version, but it didn't work anything. It didn't upgraded. Linux SAMSUNG 32 GB SD CARD. root@nsdkr11:/m apt-get update Err:1 http://raspbian....
0
votes
1answer
82 views

Which Distro provides Timely Security Updates and have the longest support cycle for Raspberry Pi 1,2 & 3? [closed]

I am looking for a Linux Distro that provides timely security updates for all Raspberry Pi variants. Please indicate if the update life-cycle is released based (preferred) or rolling/continuous. ...
1
vote
1answer
608 views

Restoring an old config file

I recently did an update/upgrade (the first one with this sd-Card) and the configuration files were overwritten and backed up to /home/pi/oldconffiles/ How do I restore all these files so that they ...
1
vote
0answers
32 views

A weird bug in Raspian

I just updated my Raspberry pi 3B+, after the reboot all windows get their “top” cut of like this: And everytime the cursor is outside the current window it appears as an “x”, I hope you can help me ...
0
votes
0answers
208 views

bug node.js v4 raspbian

I ran sudo npm i -g npm, but since I keep having this error sudo npm install -g node-dht-sensor ERROR: npm is known not to run on Node.js v4.0.0 Node.js 4 is supported but the specific version you'...
3
votes
1answer
334 views

Unmet dependencies when installing expect and libiw-dev

Every time I run the command sudo apt-get upgrade this is what I get. What should I do? Reading package lists... Done Building dependency tree Reading state information... Done You might want ...
3
votes
2answers
4k views

How to upgrade Mosquitto MQTT to the latest version?

Right now I have 1.3.4 Mosquitto Version installed from the repository on my PI. Current version is 1.4.15. So, how do I go about upgrading my Mosquitto MQTT to the latest version on my PI? I looked ...
1
vote
2answers
7k views

How to complete upgrade from wheezy to Stretch?

Hi I had this problem on the raspberry pi B+ with wheezy OS version. Since nothing worked out I decided to update the OS by changing the ppas from Wheezy to Stretch. It updated partially but it did ...
0
votes
0answers
136 views

Cannot fetch from mirror nus.edu.sg [duplicate]

I just start using rpi and quite a newbie i run sudo apt-get update sudo apt-get upgrade The update thing is successful, however , i cannot do the upgrade part, there are some package they ...
0
votes
1answer
284 views

sudo apt-get update Archives directory is missing

I have no idea what this means. Was just doing a routine update on my Raspberry Pi: pi@raspberrypi ~ $ sudo apt-get update E: Archives directory /var/cache/apt/archives/partial is missing. - Acquire ...
0
votes
2answers
2k views

Sub-process /usr/bin/dpkg returned an error code (1)

Can anyone help a n00b out? I should have enough space on my SD. df -h results are below. sda1 is for NAS storage. I'd appriciate any input whatsoever, and thanks in advance. sudo apt-get upgrade ...
57
votes
3answers
18k views

Is the Raspberry Pi vulnerable to the Spectre or Meltdown exploit?

There are two new serious security flaws discovered, Spectre and Meltdown. Is the Raspberry Pi vulnerable for Spectre and/or Meltdown?
0
votes
1answer
258 views

Cannot update my raspberry pi

I try an update on my new raspberry pi 3. I did sudo apt-get update and I've got "0% mirrordirector.raspbian.org" Internet is ok but when I ping mirrordirector I've got 13 packets transmitted but 0 ...
0
votes
1answer
486 views

Can't execute sudo apt-get update / upgrade

When i try to execute sudo apt-get update i receive the error: W: The repository 'http://linux.teamviewer.com/deb preview Release' is not signed. N: Data from such a repository can't be authenticated ...
1
vote
1answer
8k views

Stretch apt-get update error: 'http://archive.raspberrypi.org/debian stretch Release' does no longer have a Release file

Cannot do first update for a straight from raspberrypi.org download of 2017-09-07-raspian-stretch image due to errors: pi@RWPi:~ $ sudo apt-get update Ign:1 http://mirrordirector.raspbian.org/...
15
votes
4answers
9k views

Is the Raspberry Pi vulnerable to the KRACKs on WPA2 networks?

I have an updated RPI Zero W running Stretch. The research is stating that wpa_supplicant is vulnerable on all Linux machines. According to Debian patches are rolled out: For the oldstable ...
2
votes
3answers
3k views

Should I use use `rpi-update` for kernel upgrading on Ubuntu Mate v16.04.3 LTS for RaspBerry Pi 2 B+?

According to the GitHub rpi-update site: This is only intended for use with Raspbian. If you are using a different distribution then check with the maintainers if using rpi-update is safe. ...
2
votes
2answers
820 views

apt-get dist-upgrade interrupted

I got my first ever Raspberry Pi in the mail yesterday and today I thought it might need some updates as it's brand new. I used: sudo apt-get update && sudo apt-get dist-upgrade And all was ...
0
votes
2answers
4k views

Update Node JS and delete old one

I've a lot of Raspberry Pi clients, which I've initialized with a 4.5.0 Node JS version, using the following lines of code: wget https://nodejs.org/dist/v4.5.0/node-v4.5.0-linux-armv7l.tar.gz tar -...
1
vote
1answer
484 views

Failing to apt-get update

I've been scouring the net trying to find the answer to this and all answers that are close talk about not connecting to the net. I have no problems on the internet, I am typing this on the pi3 that ...
1
vote
2answers
30 views

WiFi - No Support in Old Image

I have a old Raspberry Pi model 2 B - with no GUI support for WiFi and no image that support WiFi. I now have a Raspberry Pi Zero that support WiFi, i use the old image on this. sudo apt-get update ...
5
votes
1answer
5k views

Configuring `unattended-upgrades` on Raspbian Stretch

I recently upgraded from Jessie to Stretch and received a new version of the configuration file for unattended-upgrades. Oddly, this new version references Debian instead of Raspbian. pi@kegerator:/...
2
votes
0answers
742 views

Problem after upgrading to “Stretch” [closed]

When issuing a "sudo apt-get update" after upgrading to "Stretch" I receive the following messages, eleven in all: sudo apt-get update Hit:1 http://archive.raspbian.org/raspbian stretch InRelease ...
1
vote
0answers
537 views

Failed to start Light Display Manager

I've been getting this error a few times but somehow was able to get through it by plugging in the hdmi cable (I use vnc). But now the I get this error even when I use the HDMI cable. I tried ...
0
votes
2answers
821 views

Possible SPI issues around NRF24 operations post RPi system update?

I have a number of RPis that communicate with Arduinos via BLavery's lib_nrf24.py (which appears to be derived from Barraca's pynrf24). Recently several of the RPis automatically updated via apt-get ...
3
votes
1answer
806 views

How to upgrade GNU nano to newer version?

So far nano seems my favorite terminal editor, but I noticed I have pretty old GNU nano 2.2.6 While latest is GNU nano 2.8.6. I tried: sudo apt-get install nano but it said I already using newest ...
1
vote
0answers
73 views

RF24 system fails after RPI system update - any ideas?

I have a number of raspberry Pi's (2 and 3's all running Jessie), which happily talked to themselves and arduinos via RF24s, based around the setup described in the link below (git clone https://...
1
vote
1answer
1k views

Raspberry Pi 3 with Ubuntu 16.04.3 LTS sudo apt-get update exits with dpkg error code (1)

I'm running a Raspberry Pi 3 with Ubuntu 16.04.3 LTS xenial. sudo apt-get update exits with: dpkg: error processing archive /var/cache/apt/archives/linux-firmware_1.157.11_all.deb (--unpack): trying ...
0
votes
0answers
72 views

Error while updating Raspberry pi 3

I tried to install xscreensaver and I couldn't manage it. Here is my adventure: sudo apt-get install xscreensaver but it made me update, so I wrote sudo apt-get update then the error occured: ...
1
vote
0answers
132 views

Scientific Python 3 Updates

I want to use python 3 with the many scientific updates (numpy, etc.) on my new Raspberry Pi 3 (with latest Raspian). I followed some excellent advice from: Scientific Python for Raspberry Pi ...
0
votes
2answers
2k views

Ran “sudo-apt install dist-upgrade” taking very long time

started sudo-apt install dist-upgrade. Last line showing is, "Get:203 http://archive.raspberrypi.org/debian/ jessie/main libgles.resa arrf 13.0.0-i+rpil [52.4 kb]. This has been counting up for hours ...
3
votes
2answers
9k views

Installing Qt on Raspberry Pi 3

I'm trying to install Qt Creator to my Raspberry Pi 3 for a GUI project. However when I use the command sudo apt-get install qt5-default it gives an error saying that: E:Unable to fetch some ...
0
votes
1answer
83 views

Upgrade broke, no usb, no wifi

Using a Raspberry Pi Zero W with Raspbian (last updated a few weeks ago). I did a apt upgrade, but that broke. I was asked about a new configuration file and I typed the key to compare them. Then I ...
1
vote
0answers
409 views

Replacing `jessie` with `stable` in raspbian `sources.list`?

in debian etc/apt/sources.list it is possible to replace the name of the current distribution with the status of a given distribution. For example, if one plans to use always the stable release can ...
0
votes
1answer
554 views

How do I fix Apache after upgrading Raspbian to Stretch?

I just upgraded my Raspbian Pi from Wheezy to Stretch, and all of my Apache web pages are broken. For example, my Nextcloud webpage literally looks like this: (This is the text:) * @author Lukas ...
0
votes
0answers
2k views

How to update Samba to the latest release branch

I configured a network share using the guidance found here: http://raspberrypihq.com/how-to-share-a-folder-with-a-windows-computer-from-a-raspberry-pi/ But after everything was successfully ...